/* Genera un fichero de articulos a partir de los
  datos de una tabla est?tica */

#include <stdio.h>
#include <stdlib.h>
#include "articulos.h"
#define random(X) rand()% X
TipoArticulo  tarticulos[10] =
	{
{"AA001",1,"Martillo de Goma","Tools S.A.",10,10,150,200,{10,10,2001},{21, 4,2002},{   0,  0,1200,500,340,200,  0,200,500,800,  0,  0}},
{"AA010",1,"Llave de Judo 32","Tools S.A.",20, 5,450,500,{ 3,10,2001},{ 1, 3,2002},{   0,  0, 200,500,340,900,  0,900,500,800,  0,  0}},
{"AB050",1,"Destornillador S","Percebes  ",30,15,200,250,{21,12,2001},{15, 4,2002},{   0,  0,  20,500,340,200,  0,200,500,800,  0,180}},
{"BB300",3,"Papel A 4 (100)" ,"Logista"   , 5,10, 50,100,{15, 2,2002},{20, 3,2002},{   0,  0,  50,500,340,900,  0,900,500,800,  0,  0}},
{"CD025",3,"Papel A 3 (150)" ,"Logista"   ,10,30, 80,120,{12,11,2001},{21,12,2001},{   0,  0,6200,500,340,200,  0,200,500,800,  0,  0}},
{"CD115",5,"Tinta Sigma RRM" ,"Tools S.A.",15, 0, 50, 70,{ 6, 3,2002},{ 6, 3,2002},{   1,  1,   1,  1,  1,  1,  1,  1,  1,  1,  1,  1}},
{"MM088",5,"Tinta China"     ,"Percebes"  , 7, 5, 60,100,{ 8, 1,2002},{ 8, 1,2002},{   0,  0, 500,500,340,900,  0,900,500,800,  0,500}},
{"LA055",5,"Cartuchos 200 ml","IPM"       , 5, 3,750,900,{28, 2,2002},{10, 4,2002},{   0,  0,1000,500,340,200,  0,200,500,800,  0,500}},
{"RL050",9,"Pelagambas Plus+","IPM"       ,95, 1,350,430,{ 5,10,2001},{12,10,2001},{   0,  0,1000,500,340,200,  0,200,500,800,  0,  0}},
{"VA009",9,"Mondagarbanzos"  ,"A.C.M.E."  ,10,50, 50, 70,{16, 8,2001},{18, 1,2001},{   0,  0,1000,500,340,200,  0,200,500,800,  0,  0}},
};

int  main()
{

  FILE *pf;
  int i;
  TipoArticulo reg;


  pf = fopen("ARTICULOS.DAT","wb");

  if ( pf == NULL )
    {
    perror("fopen");
    exit(1);
    }
 

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"R%04d",i);
    reg.grupo=1;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"S%04d",i);
    reg.grupo = 2;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"T%04d",i);
    reg.grupo = 3;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"E%04d",i);
    reg.grupo = 4;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

 for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"J%04d",i);
    reg.grupo = 5;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"X%04d",i);
    reg.grupo = 6;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

   for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"Y%04d",i);
    reg.grupo = 7;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }

  for (i=0;i< 10000; i++ )
    {
    reg = tarticulos[random(10)];
    sprintf(reg.codigo,"Z%04d",i);
    reg.grupo = 8;
    fwrite( & reg,sizeof(TipoArticulo),1,pf);
    }



 printf("Fichero  generado con %d Registros.\n", ftell(pf)/sizeof(reg));
 fclose(pf);
 getchar();
 exit(0);
}




