/* Cabecera definicines de articulos */
#ifndef ARTICULOS_H
#define ARTICULOS_H

// Estructura Fecha
typedef struct {
    short dia;
    short mes;
    short anio;
    } Tfecha;

// Estructura de articulo
typedef struct
  {
   char    codigo[6];        // Cdigo de artculo   MA034  (5 caracteres mximo )
   short   grupo;            // Grupo 1-99 ( EL GRUPO = 0 -> Registro Borrado )
   char    descripcion[30];  // Descripcin: Ej.- Martillo  de goma
   char    proveedor[30];    // Nombre del proveedor  Ej- Herramientas Tools S.A.
   int     stock;            // Existencia actual en almacn  >=0
   int     stockmin;         // Existencia mnima admisible  >=0
   int     preciov;          // Precio de venta >0
   int     precioc;          // Precio de compra > 0
   Tfecha  fcompra;          // Fecha de la ultima compra
   Tfecha  fventa;           //  Fecha de la ultima venta
   int     ventasmes[12];    // Tabla con la ventas mensuales
} TipoArticulo;

#endif
