#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <conio.h>
#include <ctype.h>
#include "io_util.h"

#define CAR_RELLENO      '_'
#define KEY_ENTER        '\r'
#define KEY_BACKSPACE    '\b'
#define KEY_LEFT         'K'
#define KEY_RIGHT        'M'
#define KEY_ESC          '\0'


/* ---------------------------------------------------------------*/
/*    Lee la estructura fecha en la coordenada X y Y              */
/* ---------------------------------------------------------------*/

void ObtenerFecha (int x, int y, Tfecha *f, short mostrar )
{
  static dmes[12] = {31,28,31,30,31,30,31,31,30,31,30,31};
  int error = 1;
  int dia,mes,anio;

if ( mostrar )
   {
    dia = f->dia;
    mes = f->mes;
    anio = f ->anio;
   }
while ( error == 1)
{
    error = 0;
    gotoxy(x,y);
    cputs ("  /  /     ");
    ObtenerNumeroXY(x,  y, & dia,2,mostrar);
    ObtenerNumeroXY(x+3,y, & mes,2,mostrar);
    ObtenerNumeroXY(x+6,y, & anio,4,mostrar);

  if ((mes >12) || (mes<1))
  	{

   getch();
   VerError ("ERROR EN LA INTRODUCION DE MES");
   error=1;
   }
  else
     {
     if (dia > dmes[mes-1] || dia < 1)
            {
             getch();
             VerError ("ERROR EN LA INTRODUCION DE DIA");
             error=1;
            }
     }
  if (anio <1000 && !error )
  	{
      getch();
      VerError ("ERROR EN LA INTRODUCION DEL AO");
      error=1;
   }
}
// Guardo y convierto los valores leidos
f->dia = (short)dia;
f->mes = (short) mes;
f->anio =(short)anio;

}



/* ------------------------------------------------------------------
// FUNCION : LeerOpcion
// Realiza la captura de caracter que pertenezca a la cadena de control
// PARAMETROS:
//   - pcontrol (IN) Cadena de los caracteres admitidos
// DEVUELVE
//   EL caracter leido
/* --------------------------------------------------------------*/
char LeerOpcion (int x,int y, char * pcontrol )
{
 int  numc;
 char letra;
 short i;

 numc = strlen ( pcontrol);
 while ( 1 )
   {
   gotoxy(x,y);
   letra = (char ) toupper(getch());
   for (i=0 ; i < numc ; i++ )
       {
       if ( letra == pcontrol[i] )
      	  {
	         return letra;
           }
       }
    }

}

/* ---------------------------------------------------------*/
// FUNCION : ObtenerCadenaXY
// Realiza la captura de una cadena del tamano indicado
// PARAMETROS:
//   - Coordenada X (IN)
//   - Coordenada Y (IN)
//   - Puntero a la cadena a rellenas (IN/OUT)
//   - Tamao a rellanar (IN)
//   - Indicar si se muestra el valor anterios (1-SI)/(0-NO) (IN)
// DEVUELVE
//   nada
/* ---------------------------------------------------------*/


void ObtenerCadenaXY(int xi, int yi, char *cadena,
		     int tamanio, int mostrar)
{
  char cadenaux[100];
  int i;
  char car, ant;
  int x,y;
  x = xi;
  y = yi;


  // Evito desbordamientos
  if ( tamanio >= 100) return;

  //attron(A_REVERSE);
  highvideo();
  // Conservo el valor antiguo
  if (mostrar)
  	{
	  strncpy(cadenaux,cadena,tamanio);
	  for (i = strlen(cadenaux); i < tamanio; i++)
		   cadenaux[i] = ' ';
	 cadenaux[tamanio] = '\0';

	}
   else
	{
	 memset(cadenaux,' ',tamanio);
	 cadenaux[tamanio] = '\0';
	}

  gotoxy(x,y); //putch('[');
  for( i =0; i < tamanio; i++ )
     {
     if (cadenaux[i] == ' ') putch(CAR_RELLENO);
         else putch(cadenaux[i]);
     }
  //putch(']');
  //x++;
  gotoxy(x,y);
  i = 0;
  ant = '\r';
  car = (char) getch();
  while ( car != KEY_ENTER )
     {
     if ( (ant != KEY_ESC ) && isprint(car) && i < tamanio)
        {
	     cadenaux[i] = car; i++;
        if ( car == ' ') car = CAR_RELLENO;
        putch(car);
        x++;
	     }
     else
     // Retroceso
     if ( (car == KEY_BACKSPACE) && i > 0 )
	      {
	      i--;
         cadenaux[i] = ' ';
			x--;
			gotoxy(x,y);
			putch(CAR_RELLENO);
			gotoxy(x,y);
			}
     else
     if ( (ant == KEY_ESC ) && ( car == KEY_LEFT)  && i > 0)
			{
			x--;i--;
			gotoxy(x,y);
			}
     else
     if ( (ant == KEY_ESC ) && ( car == KEY_RIGHT) && i < (tamanio-1))
        {
			x++;i++;
			gotoxy(x,y);
			}
     ant = car;
     car = (char) getch();

     }
  normvideo();
  strncpy(cadena,cadenaux,tamanio);
  cadena[tamanio] = '\0';
  // Pinta el nuevo valor
  //gotoxy(x,y); cprintf("%s",cadena);
}

/* ---------------------------------------------------------*/
// FUNCION : ObtenerNumeroXY
// Realiza la captura de nmero entero positivo de tamao fijo
// PARAMETROS:
//  - Coordenada X (IN)
//  - Coordenada Y (IN)
//  - Puntero a al entero a rellenas (IN/OUT)
//  - Tamao a rellanar (IN)
//  - Indicar si se muestra el valor anterios (1-SI)/(0-NO) (IN)
//  DEVUELVE
//    nada
/* ---------------------------------------------------------*/
void ObtenerNumeroXY(int xi, int yi, int *valor,
		     int tamanio, short mostrar)
{
 
  char cadenaux[20];
  int i;
  int car,ant;
  int x,y;

  x = xi;
  y = yi;

  // Evito desbordamientos
  if ( tamanio >= 20) return;

  highvideo();
  if (mostrar)
  	{
	  sprintf(cadenaux,"%d",*valor);
	  for (i = strlen(cadenaux); i < tamanio; i++)
		   cadenaux[i] = ' ';
	 cadenaux[tamanio] = '\0';
	}
   else
	{
	 memset(cadenaux,' ',tamanio);
	 cadenaux[tamanio] = '\0';
	}

gotoxy(x,y); //putch('[');
  for( i =0; i < tamanio; i++ )
     {
     if (cadenaux[i] == ' ') putch(CAR_RELLENO);
         else putch(cadenaux[i]);
     }
 // putch(']');
 // x++;
  gotoxy(x,y);
  i = 0;
  ant = '\r';
  car = (char) getch();
  while ( car != KEY_ENTER )
     {
     if ( (ant != KEY_ESC ) && isdigit(car) && i < tamanio)
        {
        cadenaux[i] = (char) car; i++;
        if ( car == ' ') car = CAR_RELLENO;
        putch(car);
        x++;
	     }
     else
     // Retroceso
     if ( (car == KEY_BACKSPACE) && i > 0 )
	      {
         // No dejo borra entre medias
			if ( !isdigit(cadenaux[i]))
            {
	      	i--;
         	cadenaux[i] = ' ';
				x--;
				gotoxy(x,y);
				putch(CAR_RELLENO);
				gotoxy(x,y);
            }
		  }
     else
     if ( (ant == KEY_ESC ) && ( car == KEY_LEFT)  && i > 0)
			{
			x--;i--;
			gotoxy(x,y);
			}
     else
     if ( (ant == KEY_ESC ) && ( car == KEY_RIGHT) && i < (tamanio-1))
        {
		  // Para no salirme de los nmeros escritos
		  if ( isdigit(cadenaux[i]) )
            {
			   x++;i++;
			   gotoxy(x,y);
            }
		}
     ant = car;
     car = (char) getch();
     }
  normvideo();
  
  *valor = atoi(cadenaux);
  // Pinto el nuevo valor
  //gotoxy(x,y); cprintf("%d",*valor);
  
}


